function [A, fVec] = createDictionary(time,fVec,beta,fDelta,gridSize)


N = length(time);
if nargin == 2
    A = zeros(N,length(fVec));
    for  kk = 1:length(fVec)
        A(:,kk) = exp(2i*pi*fVec(kk)*time(:));
        A(:,kk) =  A(:,kk)/norm(A(:,kk));
    end
elseif nargin>2
    K = length(beta);
    %A = zeros(N,gridSize*K);
    A = [];
    fV = [];
    for k = 1:K
        f = fVec(k)+linspace(-fDelta,fDelta,gridSize);
        f(f>1) = f(f>1)-1;
        f(f<0) = f(f<0)+1;
        B = zeros(N,gridSize);
        for kk = 1:gridSize
            B(:,kk) = exp(2i*pi*f(kk)*time(:)-beta(k)*time(:));
            B(:,kk) = B(:,kk)/norm(B(:,kk));
        end
        A = [A B];
        fV = [fV f];
    end
    fVec = fV;
else
    display('Not enough or too many input arguments');
end
